// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.
/**
 * The name of the file that contains the generated code model.
 * @beta
 */
export const tspOutputFileName = "tspCodeModel.json";
/**
 * The name of the file that contains the generated configuration file.
 * @beta
 */
export const configurationFileName = "Configuration.json";
/**
 * The minimum supported major version of the .NET SDK for invoking the generator.
 * @internal
 */
export const _minSupportedDotNetSdkVersion = 8;
/**
 * The default name of the code model generator.
 * @internal
 */
export const _defaultGeneratorName = "ScmCodeModelGenerator";
//# sourceMappingURL=constants.js.map