import { SdkContext } from "@azure-tools/typespec-client-generator-core";
import { EmitContext } from "@typespec/compiler";
import { CSharpEmitterOptions } from "./options.js";
import { Configuration } from "./type/configuration.js";
/**
 * The entry point for the emitter. This function is called by the typespec compiler.
 * @param context - The emit context
 * @beta
 */
export declare function $onEmit(context: EmitContext<CSharpEmitterOptions>): Promise<void>;
export declare function createConfiguration(options: CSharpEmitterOptions, namespace: string, sdkContext: SdkContext): Configuration;
//# sourceMappingURL=emitter.d.ts.map