import { SdkHttpOperation, SdkHttpResponse, SdkModelPropertyType, SdkServiceMethod } from "@azure-tools/typespec-client-generator-core";
import { CSharpEmitterContext } from "../sdk-context.js";
import { InputConstant } from "../type/input-constant.js";
import { InputOperation } from "../type/input-operation.js";
import { InputParameter } from "../type/input-parameter.js";
import { InputServiceMethod } from "../type/input-service-method.js";
import { InputType } from "../type/input-type.js";
import { OperationResponse } from "../type/operation-response.js";
export declare function fromSdkServiceMethod(sdkContext: CSharpEmitterContext, method: SdkServiceMethod<SdkHttpOperation>, uri: string, rootApiVersions: string[]): InputServiceMethod | undefined;
export declare function fromSdkServiceMethodOperation(sdkContext: CSharpEmitterContext, method: SdkServiceMethod<SdkHttpOperation>, uri: string, rootApiVersions: string[]): InputOperation;
export declare function getParameterDefaultValue(sdkContext: CSharpEmitterContext, clientDefaultValue: any, parameterType: InputType): InputConstant | undefined;
export declare function fromParameter(sdkContext: CSharpEmitterContext, p: SdkModelPropertyType, rootApiVersions: string[]): InputParameter;
export declare function fromSdkHttpOperationResponse(sdkContext: CSharpEmitterContext, sdkResponse: SdkHttpResponse): OperationResponse;
//# sourceMappingURL=operation-converter.d.ts.map