import { InputAuth } from "./input-auth.js";
import { InputClient, InputEnumType, InputLiteralType, InputModelType } from "./input-type.js";
/**
 * The code model for the CSharp emitter.
 * @beta
 */
export interface CodeModel {
    name: string;
    apiVersions: string[];
    enums: InputEnumType[];
    constants: InputLiteralType[];
    models: InputModelType[];
    clients: InputClient[];
    auth?: InputAuth;
}
//# sourceMappingURL=code-model.d.ts.map